const debug=require('debug')('pt-by-ifleet');
debug('pt-by-ifleet start...');

const EXPRESS = require('express');
const ROUTER = EXPRESS.Router();
const ptByIfleet = require('../service/pt-by-ifleet');
const UTILS=require('../utils');

//GET listing
ROUTER.get('/', async function(req, res, next) {
    try {
	//console.log('req.query.tripshortname:'+req.query.tripshortname);
	res.json(await ptByIfleet.get(req.query.tripshortname));
    } catch (err) {
	console.error(`Error while getting pt into by Ifleet, msg: `, err.message);
	res.status(err.statusCode || 500).json(UTILS.MSGS.error);
    }
});

module.exports = ROUTER;
debug('pt-by-ifleet done.');
